package utils

//常量定义
const (
	FormatTime            = "15:04:05"                //时间格式
	FormatDate            = "2006-01-02"              //日期格式
	FormatDateCN          = "2006年01月02日"             //日期格式（中文）
	FormatDateUnSpace     = "20060102"                //日期格式
	FormatDateTime        = "2006-01-02 15:04:05"     //完整时间格式
	HlbFormatDateTime     = "2006-01-02_15:04:05.999" //完整时间格式
	FormatDateTimeUnSpace = "20060102150405"          //完整时间格式
	PageSize15            = 15                        //列表页每页数据量
	PageSize5             = 5
	PageSize10            = 10
	PageSize20            = 20
	PageSize30            = 30
)

//手机号，电子邮箱正则
const (
	RegularMobile = "^((13[0-9])|(14[5|7])|(15([0-3]|[5-9]))|(18[0-9])|(17[0-9])|(16[0-9])|(19[0-9]))\\d{8}$" //手机号码
	RegularEmail  = `\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*`                                             //匹配电子邮箱
)

const (
	APPNAME          = "弘则人力资源管理系统"
	EmailSendToUsers = "317699326@qq.com;984198890@qq.com;hsun@hzinsights.com;xyxie@hzinsights.com"
)

// 招聘流程状态：0待一面结果、1待二面结果、2待三面结果；3已淘汰，4已通过
const (
	RcrtProcessStatusWaitFirstResult = 0
	RcrtProcessStatusWaitSecondResult = 1
	RcrtProcessStatusWaitThirdResult = 2
	RcrtProcessStatusOut = 3
	RcrtProcessStatusWPass = 4
)

const DefaultPwd = "9cbf8a4dcb8e30682b927f352d6559a0" //初始密码：123456a

// redis 缓存
const (
	HRSYSTEM_LOGIN_TOKEN = "hrSystem:login:token:"
	HRSYSTEM_LOGIN_TOKEN_NO_TRUST = "hrSystem:login:no_trust:"        //管理后台登录（不可信登录态）
	HRSYSTEM_LOGIN_ADMINID_IP = "hrSystem:login:admin_id:"
)
