package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_google_api/controller"
)

func InitTranslate(baseGroup *gin.RouterGroup) {
	//登录
	vController := new(controller.GoogleTranslateController)
	group := baseGroup.Group("google/")
	group.POST("translate", vController.Translate)
	group.POST("translate/single", vController.SingleTranslate)
}
